PresentationChangedEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.media
Class PresentationChangedEvent

    java.lang.Object
      java.util.EventObject
          javax.media.ControllerEvent
              org.dvb.media.PresentationChangedEvent

All Implemented Interfaces:
  Serializable, MediaEvent

    public class PresentationChangedEvent

extends ControllerEvent

This event is generated whenever the content being presented by a player changes for reasons outside the control of the application. The state of the player does not change - only the content being presented.

See Also:
  Serialized Form

Field Summary
`static int` | `CA_FAILURE` Presentation changed due an action by the CA subsystem.
`static int` | `CA_RETURNED` Presentation changed due to an action by the CA subsystem.
`static int` | `STREAM_UNAVAILABLE` The stream being presented is no longer available in the transport stream.

Constructor Summary
`PresentationChangedEvent(Controller source, MediaLocator stream, int reason)` Constructor for the event

Method Summary
`int` | `getReason()` This method returns the reason why access has been withdrawn.
`MediaLocator` | `getStream()` This method returns the locator for the stream now being presented.

Methods inherited from class javax.media.ControllerEvent
`getSource, getSourceController`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STREAM_UNAVAILABLE

    public static final int STREAM_UNAVAILABLE

  The stream being presented is no longer available in the transport stream.

  See Also:
    `getReason()`, Constant Field Values

### CA_FAILURE

    public static final int CA_FAILURE

  Presentation changed due an action by the CA subsystem. Alternate content is being played, not the content selected by the user (e.g. adverts in place of a scrambled service)

  See Also:
    `getReason()`, Constant Field Values

### CA_RETURNED

    public static final int CA_RETURNED

  Presentation changed due to an action by the CA subsystem. Normal content is now being presented as requested by the user. This reason code is used when the CA subsystem commands the MHP terminal to switch back to the normal presentation after having previously selected an alternate content.

  See Also:
    `getReason()`, Constant Field Values

Constructor Detail

### PresentationChangedEvent

    public PresentationChangedEvent(Controller source,
                                    MediaLocator stream,
                                    int reason)

  Constructor for the event

  Parameters:
    `source` - the controller whose presentation changed
    `stream` - the stream now being presented.
    `reason` - the reason for the change encoded as one of the constants in this class

Method Detail

### getStream

    public MediaLocator getStream()

  This method returns the locator for the stream now being presented.

  Returns:
    the locator for the stream now being presented

### getReason

    public int getReason()

  This method returns the reason why access has been withdrawn.

  Returns:
    the reason for the change specified when the event was constructed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD